This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 83614 - Korean man man-page has a trivial format error
Korean man man-page has a trivial format error
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: man-pages-ko (Show other bugs)
phoebe
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Joo
Bill Huang
:
Depends On:
Blocks: 79579
  Show dependency treegraph
 
Reported: 2003-02-06 05:36 EST by Nakai
Modified: 2007-04-18 12:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-20 01:14:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
man.man.diff (480 bytes, patch)
2003-02-06 05:37 EST, Nakai
no flags Details | Diff
zcat /usr/share/man/ko/man1/man.1.gz | nroff -Tnippon -mandoc |JLESSCHAR=ko less output (32.38 KB, image/jpeg)
2003-02-06 21:16 EST, David Joo
no flags Details
less of man.1 page (23.81 KB, image/jpeg)
2003-02-06 21:17 EST, David Joo
no flags Details

  None (edit)
Description Nakai 2003-02-06 05:36:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.0.1) Gecko/20020830

Description of problem:
I've found a trivial format error in Korean man.1.gz
while I'm testing Korean manual environment.

$ zcat /usr/share/man/ko/man1/man.1.gz | nroff -Tnippon -mandoc > /dev/null
<standard input>:226: a magic token is not allowed in a name

There is a string '.../dk/man1/foo.1' in the man page, but
. in line head has special meaning in man page format.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.zcat /usr/share/man/ko/man1/man.1.gz | nroff -Tnippon -mandoc > /dev/null
2.
3.
    

Actual Results:  '.' is at line head

Expected Results:  '.' should not be at line head.

Additional info:
Comment 1 Nakai 2003-02-06 05:37:15 EST
Created attachment 89892 [details]
man.man.diff
Comment 2 David Joo 2003-02-06 21:16:33 EST
Created attachment 89914 [details]
zcat /usr/share/man/ko/man1/man.1.gz | nroff -Tnippon -mandoc |JLESSCHAR=ko less output

It is the output of :
$ zcat /usr/share/man/ko/man1/man.1.gz | nroff -Tnippon -mandoc |JLESSCHAR=ko
less

It shows Korean but there are red circled place that are wrong
Comment 3 David Joo 2003-02-06 21:17:52 EST
Created attachment 89915 [details]
less of man.1 page

I have gunziped man.1.gz and try to read it with less and now it didn't work...
Comment 4 David Joo 2003-02-11 01:52:52 EST
Thanks to Nakai, with all the patches for less and groff it seems it is working
quite well.

I still see the magic keys...

Nakai san any suggestion what I should do?

Note You need to log in before you can comment on or make changes to this bug.